curl --request PATCH \
--url https://loadbalancer.{region}.basaltic.sh/v1/load-balancers/{id}/listeners/{listener_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"certificate": "crn:certificate::my-account:certificate/prod-web",
"default_target_group": "b8c9d0e1-f2a3-4456-b7c8-d9e0f1a2b3c4",
"clear_default_target_group": false,
"exposure": "both",
"tags": {
"environment": "production",
"team": "backend"
}
}
'import requests
url = "https://loadbalancer.{region}.basaltic.sh/v1/load-balancers/{id}/listeners/{listener_id}"
payload = {
"certificate": "crn:certificate::my-account:certificate/prod-web",
"default_target_group": "b8c9d0e1-f2a3-4456-b7c8-d9e0f1a2b3c4",
"clear_default_target_group": False,
"exposure": "both",
"tags": {
"environment": "production",
"team": "backend"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
certificate: 'crn:certificate::my-account:certificate/prod-web',
default_target_group: 'b8c9d0e1-f2a3-4456-b7c8-d9e0f1a2b3c4',
clear_default_target_group: false,
exposure: 'both',
tags: {environment: 'production', team: 'backend'}
})
};
fetch('https://loadbalancer.{region}.basaltic.sh/v1/load-balancers/{id}/listeners/{listener_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"listener": {
"crn": "<string>",
"id": "e1f2a3b4-c5d6-4789-e0f1-a2b3c4d5e6f7",
"load_balancer_id": "4e1f8c2a-9b3d-4f6e-8a1c-2d5e7f9a0b3c",
"protocol": "https",
"port": 443,
"exposure": "both",
"tags": {
"environment": "production",
"team": "backend"
},
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z",
"certificates": [
{
"id": "f2a3b4c5-d6e7-4890-f1a2-b3c4d5e6f7a8",
"certificate_crn": "crn:certificate::my-account:certificate/prod-web",
"is_default": true,
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z"
}
],
"default_target_group_id": "b8c9d0e1-f2a3-4456-b7c8-d9e0f1a2b3c4"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Actualizar un listener (cambiar el certificado o el grupo de destinos predeterminado)
loadbalancer:UpdateListener. Consulta permisos de balanceadores de carga para obtener la lista completa, lo que cubre cada una y un ejemplo de directiva.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Parámetros de ruta
"4e1f8c2a-9b3d-4f6e-8a1c-2d5e7f9a0b3c"
"e1f2a3b4-c5d6-4789-e0f1-a2b3c4d5e6f7"
Cuerpo
Parchear un receptor.
certificate acepta un CRN, UUID o nombre exacto de ámbito de cuenta y nombra un certificado YA adjunto a este escuchador y lo vuelve a sellar, lo que hace que el agente vuelva a recuperar el material, el desencadenador de rotación bajo demanda. No se adjunta: se rechaza un CRN no adjunto y el punto final de certificado adjunto es el que lo agrega. No se acepta ningún material clave aquí.
Establezca clear_default_target_group=true para eliminar el valor predeterminado; de lo contrario, omitir default_target_group lo deja sin cambios.
"crn:certificate::my-account:certificate/prod-web"
"b8c9d0e1-f2a3-4456-b7c8-d9e0f1a2b3c4"
false
Mutate qué direcciones están enlazadas. Omita para dejar sin cambios.
public_only, private_only, both "both"
Show child attributes
Show child attributes
{
"environment": "production",
"team": "backend"
}
Respuesta
OK
Show child attributes
Show child attributes

